#!/bin/sh

# This script is run automatically when the screensaver is changed using the
# webif or using the 'screensaver' command.
# It makes the links in /mod/img (a.k.a. /opt/share/images/blue), some of
# which point to the same destination.
# It is not necesaary to have this script present if the full set of 
# screensaver files (including animation) is to be used.

# Note that 'NUM_Dim' only exists for '0' in the Humax default screensaver
# so it is likely to be an error.

SRCDIR=$(realpath ${0%/*})

for type in NUM0 NUM1 NUM2 NUM3 NUM4 NUM5 NUM6 NUM7 NUM8 NUM9 \
            Flip1 Flip2 Flip3 Colon ; do
  t=$SRCDIR/*${type}*
  for f in /mod/img/82*${type}*; do
    ln -sf $t $f
  done
done

# NUM_Dim & Reflection not used here
rm /mod/img/82*NUM_Dim* /mod/img/82*Reflect*
